Note : This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support .
PATCH https://api.ap1.datadoghq.com/api/v2/incidents/{incident_id}/configurations https://api.ap2.datadoghq.com/api/v2/incidents/{incident_id}/configurations https://api.datadoghq.eu/api/v2/incidents/{incident_id}/configurations https://api.ddog-gov.com/api/v2/incidents/{incident_id}/configurations https://api.us2.ddog-gov.com/api/v2/incidents/{incident_id}/configurations https://api.uk1.datadoghq.com/api/v2/incidents/{incident_id}/configurations https://api.datadoghq.com/api/v2/incidents/{incident_id}/configurations https://api.us3.datadoghq.com/api/v2/incidents/{incident_id}/configurations https://api.us5.datadoghq.com/api/v2/incidents/{incident_id}/configurations
개요 인시던트에 대한 구성을 업데이트합니다.
This endpoint requires the incident_write permission.
OAuth apps require the incident_write authorization scope to access this endpoint.
인수 경로 파라미터 The UUID of the incident.
요청 Body Data (required) 인시던트 구성 패치 페이로드입니다.
Expand All
Incident configuration data in a patch request.
Attributes for patching an incident configuration. All fields are optional.
Whether to execute integrations for this incident.
execute_notification_rules
Whether to execute notification rules for this incident.
Whether to include this incident in analytics.
Whether to include this incident in search results.
The incident configuration identifier.
Incident configuration resource type.
Allowed enum values: incidents_configurations
{
"data" : {
"attributes" : {
"execute_integrations" : true ,
"execute_notification_rules" : true ,
"include_in_analytics" : true ,
"include_in_search" : true
},
"id" : "00000000-0000-0000-0000-000000000000" ,
"type" : "incidents_configurations"
}
} 응답 OK
Response with an incident configuration.
Expand All
Incident configuration data in a response.
Attributes of an incident configuration in a response.
Timestamp when the configuration was created.
Whether integrations are executed for this incident.
execute_notification_rules
Whether notification rules are executed for this incident.
Whether this incident is included in analytics.
Whether this incident is included in search results.
Timestamp when the configuration was last modified.
The incident configuration identifier.
Relationships for an incident configuration.
Relationship to user object.
A unique identifier that represents the user.
Users resource type.
Allowed enum values: users
default: users
Relationship to user object.
A unique identifier that represents the user.
Users resource type.
Allowed enum values: users
default: users
Incident configuration resource type.
Allowed enum values: incidents_configurations
Included related resources.
Attributes of user object returned by the API.
Users resource type.
Allowed enum values: users
default: users
{
"data" : {
"attributes" : {
"created_at" : "2024-01-01T00:00:00.000Z" ,
"execute_integrations" : true ,
"execute_notification_rules" : true ,
"incident_id" : "00000000-0000-0000-0000-000000000000" ,
"include_in_analytics" : true ,
"include_in_search" : true ,
"modified_at" : "2024-01-01T00:00:00.000Z"
},
"id" : "00000000-0000-0000-0000-000000000000" ,
"relationships" : {
"created_by_user" : {
"data" : {
"id" : "00000000-0000-0000-2345-000000000000" ,
"type" : "users"
}
},
"last_modified_by_user" : {
"data" : {
"id" : "00000000-0000-0000-2345-000000000000" ,
"type" : "users"
}
}
},
"type" : "incidents_configurations"
},
"included" : [
{
"attributes" : {
"email" : "string" ,
"handle" : "string" ,
"icon" : "string" ,
"name" : "string" ,
"uuid" : "string"
},
"id" : "string" ,
"type" : "users"
}
]
} Bad Request
{
"errors" : [
"Bad Request"
]
} Unauthorized
{
"errors" : [
"Bad Request"
]
} Forbidden
{
"errors" : [
"Bad Request"
]
} Not Found
{
"errors" : [
"Bad Request"
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} 코드 예시 복사
## default
#
# Path parameters export incident_id = "CHANGE_ME" # Use a Personal Access Token or Service Access Token export DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" # Curl command curl -X PATCH "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/incidents/${incident_id}/configurations " \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN} " \
-d @- << EOF
{
"data": {
"attributes": {
"include_in_search": false
},
"id": "00000000-0000-0000-0000-000000000001",
"type": "incidents_configurations"
}
}
EOF